# Interface methods for submodule: ArchetypeSeriesFileNames
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ArchetypeSeriesFileNames
class ArchetypeSeriesFileNamesProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetArchetype(self, archetype: str) -> None:
		""""""
		...

	def GetArchetype(self):
		""""""
		...

	def GetNumberOfGroupings(self) -> int:
		""""""
		...

	def GetFileNames(self, group: int = 0):
		""""""
		...

